import 'package:string_converter/convert/utf16.dart';
import 'package:string_converter/convert/utf32.dart';
import 'package:string_converter/convert/utf8.dart';

/// string extension
extension StringExtension on String {
  /// get utf8
  String toUTF8() => utf8(this);

  /// get utf16
  String toUTF16({bool remove = false}) => utf16(this, remove);

  /// get utf32
  String toUTF32({bool remove = false}) => utf32(this, remove);
}
