library string_converter;

import 'package:string_converter/convert/utf16.dart';
import 'package:string_converter/convert/utf32.dart';
import 'package:string_converter/convert/utf8.dart';

/// converter
class StringConverter {
  /// get utf8
  String toUTF8(String text) => utf8(text);

  /// get utf16
  String toUTF16(String text, {bool remove = false}) => utf16(text, remove);

  /// get utf32
  String toUTF32(String text, {bool remove = false}) => utf32(text, remove);
}
